
\documentclass[border=3pt,tikz]{standalone}
\usepackage{amsmath}
\usepackage{tikz}
\usepackage{physics} % \vb


% https://imathworks.com/tex/tex-latex-simple-way-to-typeset-vector-going-in-and-out-of-the-plane-in-tikz/
\tikzset{
	pics/.cd,
	vector out/.style args={#1/#2}{
		code={
			\draw[fill=white] (0,0)  circle (#2);
			\draw[#1] (0,0)  circle (#2) (45:#2) -- (225:#2) (135:#2) -- (315:#2);
		}%end code   
	}%end style
}%end tikzset
\tikzset{
	pics/.cd,
	vector in/.style args={#1/#2}{
		code={
			\draw[fill=white] (0,0)  circle (#2);
			\draw[#1] (0,0)  circle (#2);
			\fill[#1] (0,0)  circle (0.05);
		}%end code   
	}%end style
}%end tikzset



\begin{document}
	
	
	\begin{tikzpicture}[>=latex]
		\coordinate (O) at (0,0);
		\def\ymax{5}
		\def\ymin{-\ymax}
		
		\def\zmin{{-\ymax}}
		\def\zmax{\ymax}
		
		\def\alphaInc{60}
		\def\alphaRefl{\alphaInc}
		\def\alphaTrm{30}
		\def\lineLength{\ymax}
		\def\angleRadius{1}
		
		\def\kVekLength{1.5}
		\def\vekLength{1}
		\def\startR{2}
		\def\vekInOutRadius{.15}
		
		
		
		% Coordinate system
		\draw[->] (0, \ymin) --(0, \ymax) node[above] {$y$};
		\draw[->] (\zmin,0) -- (\zmax, 0) node[right]{$z$};
		
		% Incident
		\draw[dashed] (O) --({-\lineLength*sin(\alphaInc)}, {\lineLength*cos(\alphaInc)});
		\draw[thick, ->] ({90+\alphaInc}: {\startR+\kVekLength}) -- ({90+\alphaInc}: {\startR+\vekInOutRadius})
		node[midway, above] {$\vb{k}_{e}$}; 
		\draw[red, thick, ->] ({90+\alphaInc}: \startR) --++ ({\alphaInc}: \vekLength)
		node[midway, right] {$\vb{E}_e$};
		\draw ({90+\alphaInc}: \startR) pic{vector in={ blue/ \vekInOutRadius}} %line width=1.5pt
		node[below, blue, yshift=-.1cm] {$\vb{H}_e$};
		
		\draw (90:\angleRadius) arc (90:{90+\alphaInc}:\angleRadius);
		\draw[white] (90:\angleRadius/2) arc (90:{90+\alphaInc/2}:{\angleRadius/2})
		node[black]{$\alpha_e$};
		
		
		% Reflected
		\draw[dashed] (O) --({\lineLength*sin(\alphaRefl)}, {\lineLength*cos(\alphaRefl)});
		\draw[thick, ->] ({90-\alphaRefl}: \startR) --  ({90-\alphaRefl}: {\startR+\kVekLength})
		node[midway, above] {$\vb{k}_{r}$}; 
		\draw[red, thick, ->] ({90-\alphaRefl}: \startR) --++ ({180-\alphaRefl}: \vekLength)
		node[midway, right] {$\vb{E}_r$};
		\draw ({90-\alphaRefl}: \startR) pic{vector in={ blue/ \vekInOutRadius}} %line width=1.5pt
		node[below, blue, yshift=-.1cm] {$\vb{H}_r$};
		
		
		
		% Transmitted
		\draw[dashed] (O) --({\lineLength*sin(\alphaTrm)}, -{\lineLength*cos(\alphaTrm)});
		\draw[thick, ->]  ({-90+\alphaTrm}: \startR) --  ({-90+\alphaTrm}: {\startR+\kVekLength})
		node[midway, above, xshift = .1cm] {$\vb{k}_{t}$};  
		\draw[red, thick, ->] ({-90+\alphaTrm}: \startR) --++ ({\alphaTrm}: \vekLength)
		node[midway, above] {$\vb{E}_t$};
		\draw ({-90+\alphaTrm}: \startR) pic{vector in={ blue/ \vekInOutRadius}} %line width=1.5pt
		node[left, blue, xshift=-0.1cm] {$\vb{H}_t$};
		
		\draw (-90:\angleRadius) arc (-90:{-90+\alphaTrm}:\angleRadius);
		\draw[white] (-90:.7\angleRadius) arc (-90:{-90+.7*\alphaTrm}:{\angleRadius/2})
		node[black]{$\alpha_t$};
		
		% x coordinate
		\draw (0,0) pic{vector out={ / 0.1}} 
		node[below left] {$x$};
		
	\end{tikzpicture}
	
	
	

\end{document}